
Auto Multiple Choice - Bug # 39: continue copy number within one project instead of resetting it to 1 
for each invocation on examcopy

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category:
Created: 04/01/2012 Assignee:
Updated: 04/02/2012 Due date:
Description: I would like to have  two (later maybe more) \begin{examcopy} in my projects.

In case I want to produce a set of Dutch and German exams in one project; both languages are present in my 
questions and choices.

Probably the student (or exam number) is not unique, which is caught by sql lite.
Problem can be probably be solved by resetting the (student) number only once in the latex file processing 
and not at the start of begin{examcopy}.
<pre>
SQL ERROR: DBD::SQLite::st execute failed: constraint failed
columns student, page are not unique
SQL STATEMENT: INSERT INTO layout.layout_page 
(student,page,checksum,subjectpage,dpi,width,height,markdiameter,sourceid) VALUES (?,?,?,?,?,?,?,?,?)
</pre>

History
04/01/2012 04:06 pm - Alexis Bienvenüe
- Target version set to 1.1.0

- Status changed from New to In Progress

You're right: it would be better not to reset the copy number. I adapted the LaTeX style file (since revision r981) - please try it.

04/01/2012 08:57 pm - Pieter  Van den Hombergh
Works like a charm.
I have another proposal with a solution, \AMCpageref. I will add it as an issue, including my patch.

04/01/2012 08:59 pm - Alexis Bienvenüe
- Status changed from In Progress to Resolved

04/02/2012 02:42 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
